Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
crl_ent.h File Reference
`#include <botan/asn1_time.h>`

Go to the source code of this file.

## Classes
class | Botan::CRL_Entry

## Namespaces
| Botan

## Enumerations
enum | Botan::CRL_Code { Botan::UNSPECIFIED = 0, Botan::KEY_COMPROMISE = 1, Botan::CA_COMPROMISE = 2, Botan::AFFILIATION_CHANGED = 3, Botan::SUPERSEDED = 4, Botan::CESSATION_OF_OPERATION = 5, Botan::CERTIFICATE_HOLD = 6, Botan::REMOVE_FROM_CRL = 8, Botan::PRIVLEDGE_WITHDRAWN = 9, Botan::AA_COMPROMISE = 10, Botan::DELETE_CRL_ENTRY = 0xFF00, Botan::OCSP_GOOD = 0xFF01, Botan::OCSP_UNKNOWN = 0xFF02 }

## Functions
bool | Botan::operator!= (const CRL_Entry &a1, const CRL_Entry &a2)
bool | Botan::operator== (const CRL_Entry &a1, const CRL_Entry &a2)